---
nginx_disable_default_site: false
nginx_gpg_key_url: https://nginx.org/keys/nginx_signing.key
nginx_apt_repositories:
  - "deb [arch={{ _nginx_host_arch }} signed-by={{ _nginx_apt_keyring_path }}] https://nginx.org/packages/{{ _nginx_host_distribution }}/ {{ _nginx_host_distribution_release }} nginx"
  - "deb-src [signed-by={{ _nginx_apt_keyring_path }}] https://nginx.org/packages/{{ _nginx_host_distribution }}/ {{ _nginx_host_distribution_release }} nginx"
nginx_update_cache: true
nginx_apt_depend_packages:
  - ca-certificates
  - curl
  - gnupg
  - apt-transport-https
nginx_version: ""
nginx_conf_extra_http_options: ""
nginx_conf_extra_core_options: ""
nginx_user: nginx
nginx_sites_templates_path: "{{ playbook_dir }}/templates/sites"

nginx_acme: {}
# nginx_acme:
#   email: change@me.com
#   dir: /etc/letsencrypt
#   keys_dir: /etc/letsencrypt/keys
#   csrs_dir: /etc/letsencrypt/csrs
#   certs_dir: /etc/letsencrypt/certs
#   account_key: /etc/letsencrypt/account/account.key
#   domain_name: example.com
